log4cplus::helpers::AbstractSocket Class Referenceabstract

`#include <socket.h>`

Inheritance diagram for log4cplus::helpers::AbstractSocket:
[legend]

## Public Member Functions

| AbstractSocket ()
| AbstractSocket (SOCKET_TYPE sock, SocketState state, int err)
| AbstractSocket (AbstractSocket const &)=delete
| AbstractSocket (AbstractSocket &&) LOG4CPLUS_NOEXCEPT
virtual | ~AbstractSocket ()=0
virtual void | close ()
| Close socket.
virtual bool | isOpen () const
virtual void | shutdown ()
AbstractSocket & | operator= (AbstractSocket &&rhs) LOG4CPLUS_NOEXCEPT
void | swap (AbstractSocket &)

## Protected Attributes

SOCKET_TYPE | sock
SocketState | state
int | err

## Detailed Description

Definition at line 56 of file helpers/socket.h.

## Constructor & Destructor Documentation

## AbstractSocket() [1/4]

log4cplus::helpers::AbstractSocket::AbstractSocket | ( |  | ) |

Referenced by AbstractSocket(), AbstractSocket(), operator=(), swap(), and ~AbstractSocket().

## AbstractSocket() [2/4]

log4cplus::helpers::AbstractSocket::AbstractSocket | ( | SOCKET_TYPE | sock,
|  | SocketState | state,
|  | int | err )

References err, sock, and state.

## AbstractSocket() [3/4]

log4cplus::helpers::AbstractSocket::AbstractSocket | ( | AbstractSocket const & |  | ) |

delete

References AbstractSocket().

## AbstractSocket() [4/4]

log4cplus::helpers::AbstractSocket::AbstractSocket | ( | AbstractSocket && |  | ) |

References AbstractSocket(), and LOG4CPLUS_NOEXCEPT.

## ~AbstractSocket()

virtual log4cplus::helpers::AbstractSocket::~AbstractSocket | ( |  | ) |

pure virtual

References AbstractSocket().

## Member Function Documentation

## close()

virtual void log4cplus::helpers::AbstractSocket::close | ( |  | ) |

virtual

Close socket.

References close().

Referenced by close().

## isOpen()

virtual bool log4cplus::helpers::AbstractSocket::isOpen | ( |  | ) | const

virtual

References isOpen().

Referenced by isOpen().

## operator=()

AbstractSocket & log4cplus::helpers::AbstractSocket::operator= | ( | AbstractSocket && | rhs | ) |

References AbstractSocket(), and LOG4CPLUS_NOEXCEPT.

## shutdown()

virtual void log4cplus::helpers::AbstractSocket::shutdown | ( |  | ) |

virtual

References shutdown().

Referenced by shutdown().

## swap()

void log4cplus::helpers::AbstractSocket::swap | ( | AbstractSocket & |  | ) |

References AbstractSocket(), and swap().

Referenced by swap().

## Member Data Documentation

## err

int log4cplus::helpers::AbstractSocket::err

protected

Definition at line 75 of file helpers/socket.h.

Referenced by AbstractSocket(), and log4cplus::helpers::Socket::Socket().

## sock

SOCKET_TYPE log4cplus::helpers::AbstractSocket::sock

protected

Definition at line 73 of file helpers/socket.h.

Referenced by AbstractSocket(), and log4cplus::helpers::Socket::Socket().

## state

SocketState log4cplus::helpers::AbstractSocket::state

protected

Definition at line 74 of file helpers/socket.h.

Referenced by AbstractSocket(), and log4cplus::helpers::Socket::Socket().

The documentation for this class was generated from the following file:

- helpers/socket.h